@echo off
REM Folgende Übergabeparameter stehen zur Verfügung
REM %1%: absoluter Pfad zum aktuellen Verzeichnis in dem das Update-Archiv entpackt wurde
REM %2%: absoluter Pfad zum Ordner in dem die files.zip entpackt wurde (ist '-', wenn keine Dateien dabei waren)
REM %3%: absoluter Pfad zum DMS
REM %4%: alte Build-Version
REM %5%: neue Build-Version
REM
REM Das aktuelle Verzeichnis ist das Verzeichnis indem das Update entpackt wurde
REM Das müsste dem Wert aus %1% entsprechen

echo Leeren des LLPRO-Ordners
DEL /F /Q %3%\llpro\*.*
if NOT %ERRORLEVEL%==0 goto Fehler
if %ERRORLEVEL%==0 goto Erfolg

:Fehler
echo Es trat ein Fehler auf. Beende!
REM Der Folgende Befehl lässt das Skript mit dem Exit-Code 1 beenden
EXIT /B 1

:Fatal
echo !!! Es trat ein fataler Fehler auf. Das System ist moeglicherweise nicht mehr nutzbar !!!
REM Der Folgende Befehl lässt das Skript mit dem Exit-Code 100 beenden
exit /B 100

:Erfolg
echo LLPRO-Ordner erfolgreich geleert
